Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
redsea_tq

Giúp em tìm toạ độ của đối tượng dạng "AcDbText"!

Các bài được khuyến nghị

Em Chào các Bác!

Em có 2 vấn đề cần các bác chỉ giúp:

1) Em muốn lấy toạ độ của một đối tượng có tên "AcDbText" trong tập trọn selectionset thì phải làm thế nào a?

2) Em chưa hiểu rõ về VB và Cad nên muốn hỏi các bác 1 câu như sau:

Em kiểm tra trong object browser thấy rằng class acadEntity không có member textstring, nhưng ta vẫn có thể lấy giá trị của acadEntity.TextString, như vậy là sao các bác. Em mong các bác chỉ giáo nhiều hơn! Cám ơn các bác.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em Chào các Bác!

Em có 2 vấn đề cần các bác chỉ giúp:

1) Em muốn lấy toạ độ của một đối tượng có tên "AcDbText" trong tập trọn selectionset thì phải làm thế nào a?

2) Em chưa hiểu rõ về VB và Cad nên muốn hỏi các bác 1 câu như sau:

Em kiểm tra trong object browser thấy rằng class acadEntity không có member textstring, nhưng ta vẫn có thể lấy giá trị của acadEntity.TextString, như vậy là sao các bác. Em mong các bác chỉ giáo nhiều hơn! Cám ơn các bác.

Bạn ép qua Class DBText :

- DBText.TextString-> giá trị của Text

- DBText.AlignmentPoint -> tọa độ của Text

- DBText.Position -> tọa độ của Text

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn ép qua Class DBText :

- DBText.TextString-> giá trị của Text

- DBText.AlignmentPoint -> tọa độ của Text

- DBText.Position -> tọa độ của Text

 

 

 

Em cám ơn bác, em sẽ thử!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×